公告:

我为什么主张禁用WordPress块编辑器?

作者:我爱技术网 / 时间:1年前 (2018/12/29) / 分类:系统运维 / 阅读:1610 / 评论:0

WordPress 升级到 5.0之后最大的改变某过于默许编辑器改为Gutenberg 块编辑器,对于这个新编辑器,有些站长很喜爱,有些站长(包括我)却十分不喜爱。喜爱的原因就是以为这个新编辑器很强壮,能够完成很多功能等,不喜爱的原因或许就是不习惯和没必要吧。

我为什么主张禁用WordPress块编辑器?

Gutenberg 块编辑器的强大是毋容置疑的,但是功能强大不代表适合。在说为什么不喜欢 Gutenberg 块编辑器之前,我还是先说说我的个人编辑习惯吧。我不知道其他站长是如何编辑更新文章呢,我个人的习惯就是先在 Word 文档中编写好文章并排好版,然后才会复制粘贴到 WordPress 编辑器中。而我发布的文章内容一般也就是几样,分别是文字、图片和代码,使用视频的概率非常低。对于图片一般不折腾都是居中显示;对于文字的排版大多数都是正文,少部分使用 h2 和项目符号,偶尔使用主题自带的短代码实现一些简单 CSS 效果。

以上就是我编辑文章的习惯,对于 WordPress 原先的经典编辑器已经足够我使用,而且也很方便使用主题自带的短代码功能。而 Gutenberg 块编辑器无法很方便地使用短代码功能,而且把一篇文章分割成几个块来处理,非常不适合我这种预先编辑好文章后复制粘贴的做法,这就是我为什么不喜欢 Gutenberg 块编辑器的原因。

我为什么主张禁用WordPress块编辑器?

如果你的编辑习惯也是跟我一样,或者你的博客文章大多数都是以文字、图片或代码为主,那么使用 WordPress 原先默认的经典编辑器就足够使用了,再搭配主题自带的短代码功能就非常强大。这也是我为什么建议大家直接禁止 Gutenberg 块编辑器的原因。

现在禁用 Gutenberg 块编辑器的办法仍是比较简单的,比如能够装置WordPress 编辑器切换插件 Classic Editor,或者直接使用纯代码直接禁用 Gutenberg 块编辑器。换句话就是说,你依然能够直接升级 WordPress 到最新版本,然后能够经过插件或者纯代码来禁用 Gutenberg 块编辑器。

我为什么主张禁用WordPress块编辑器?当然,假如你的修改习气是直接在 WordPress 修改器上完结,那么不妨试试 Gutenberg 块修改器,逐块修改完结,理论上应该很不错。不过现在许多主题都未必兼容 Gutenberg 块修改器,特别是原先就含有非常强壮的短代码功用,并且块修改器中某些功用的样式可能在主题中没有有等。假如你所运用的主题已经宣扬能够完美兼容 Gutenberg 块修改器,而你又喜爱直接在修改器上修改发布文章的时候,的确应该习气并运用 Gutenberg 块修改器。

其实,许多时候并不是功用强壮就是最好的,而是适宜的才是最好的。比如我所运用的老电脑,最合适运用的操作系统并不是Win 10而是Win 7。当然,我也能够直接装置 Win 10 来运用,但是不管是从电脑装备还是工作效率或者个人习气来看,Win 7 都完胜 Win 10。所以说,合适自己的才是最好的!鞋子合不适宜只有穿过才知道,Gutenberg 块修改器是否好用,要害还是要看个人的需求和习气,好用就持续保存,不好用就直接禁用,无需纠结。

推荐阅读:

浅谈哪些个人博客网站更适合使用虚拟主机环境面板?

事实上,我只想成为一个简单的博主。

apple产品年货节点赞瓜分千万京豆 最高翻倍至6倍

  • QQ群
  • 微信公众号